@font-face {
  font-family: 'ITC Eras';
  src: url("fonts/itc-eras-ultra/ITC Eras Bold.otf");
}

@font-face {
  font-family: 'Poppins';
  src: url("fonts/Poppins/Poppins-Regular.ttf")
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: rgb(255, 84, 0);
    --secondary-color: black;
    --terciary-color: white;
    --orange-2: rgb(255, 145, 0);
    --orange-3: rgb(252, 197, 164);
    --light-gray: rgb(236, 236, 236);
    --medium-gray: rgb(199, 199, 199);
    --dark-gray: rgb(94, 94, 94);
    --gradient: linear-gradient(45deg, var(--primary-color), var(--orange-2));
    --card-bg: rgb(255, 218, 200);
}

html {
    scroll-behavior: smooth;
}

li {
    color: var(--secondary-color);
}

body {
    min-height: 100vh;
}

h2 {
    font-family: "ITC Eras";
    color: var(--primary-color);
    font-size: 50px;
    margin-bottom: 50px;
}

h3 {
    font-family: "ITC Eras";
    color: var(--primary-color);
    font-size: 25px;
}

p {
    font-family: "Poppins";
    font-size: 18px;
}

a{
    color: var(--terciary-color);
}

.button_db {
    display: inline-block;
    padding: 5px 20px 5px 20px;
    border-radius: 100px;
    text-decoration: none;
    background-image: var(--gradient);
    font-family: "Poppins";
    font-size: 18px;
    box-shadow: 0 5px 0px rgba(253, 253, 253, 1);
    &:hover {
        transform: translateY(2px);
        box-shadow: 0 3px 0px rgba(253, 253, 253, 1);
    }
}

.icon {
        width: 30px;
        height: 30px;
        fill: none;
        stroke: currentColor;
        stroke-width: 2;
        stroke-linecap: round;
        stroke-linejoin: round;
    }

/* Menu principal */

.navbar{
    position: sticky;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    nav {
        background-color: rgba(0, 0, 0, 0.7);
        display: grid;
        grid-template-columns: 1fr auto 1fr;
        align-items: center;
        width: 100%;
        height: 60px;
        a {
            text-decoration: none;
            color: var(--terciary-color);
            font-family: "ITC Eras";
            font-size: 20px;
        }
        .navbar-izquierda {
            margin-left: 30px;
            justify-self: start; /* Empuja el div hacia la izquierda */
            .logotipo {
                height: 35px;
                &:hover {
                    transform: scale(1.1);
                }
            }
        }
        .navbar-centro {
            justify-self: center;
            display: flex;
            gap: 40px;
            a:hover {
                transform: scale(1.1);
            }
        }
        .navbar-derecha {
            margin-right: 30px;
            justify-self: end;
            a{
                font-family: "ITC Eras";
            }
        }
    }
}


/* Hero */

.hero {
    position: relative;
    background:
        linear-gradient(to top,rgba(0, 0, 0, 1), rgba(255, 84, 0, 0.5)),
        url(./images/background_hero_2.jpg);
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 60px; /* La misma altura del navbar */
    overflow: hidden;

}

.imagen_flotante {
  position: absolute; /* Saca la imagen del flujo normal */
  right: 5%;          /* Distancia desde la derecha */
  bottom: -20%;        /* Distancia desde abajo */
  width: 50%;
  animation: flotar 3s ease-in-out infinite; /* Animación opcional */
}

.proposito {
    width: 90%;
    h2 {
        font-size: 100px;
        line-height: 100%;
        color: var(--terciary-color);
        text-align: left;
        margin-bottom: 50px;
        a{
            text-decoration: underline;
        }
        a:hover {
            text-decoration: underline dotted;
        }
    }
    p {
        font-size: 20px;
        color: var(--terciary-color);
        text-align: left;
        margin-bottom: 50px;
    }
}

/* Como lo hacemos */

.como_lo_hacemos {
    padding: 150px 150px 150px 150px;
    background:
        url(images/papel_arrugado2.png)
        var(--light-gray);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;

    .el_parche_section {
        display: flex;
        justify-content: space-around;
        gap: 80px;
        .dictionary {
            padding: 0px;
            h2 {
            text-align: left;
            margin-bottom: 0px;
            }
            p {
                text-align: left;
                /* font-family: 'Times New Roman', Times, serif;
                font-size: 20px; */
                color: var(--dark-gray);
            }
            .definicion {
                text-align: left;
                /* font-size: 20px; */
                color: var(--secondary-color);
            }
            .ejemplo {
                text-align: left;
                /* font-weight: bold; */
                /* font-size: 20px; */
                font-style: italic;
                color: var(--dark-gray);
                /* color: #000000; */
            }
        }

        .mission_statement {
            align-content: center;
            text-align: center;
            padding: 50px;
            background: var(--gradient);
            color: var(--terciary-color);
            border-radius: 30px;
            flex: 0 0 35%;
            position: relative;
            span {
                text-decoration: underline;
            }
            p {
                font-family: "ITC Eras";
                font-size: 25px;
            }
            img{
                position: absolute; /* Saca la imagen del flujo normal */
                left: -20%;
                bottom: -20%;
                width: 200px;
                rotate: -10deg;
            }
        }
    }

    /* Herramientas de transformación */

    .herramientas_de_transformacion {
        margin-top: 100px;
        h2 {
            text-align: center;
        }
        .herramientas {
            display: flex;
            gap: 50px;
            .herramienta {
                flex: 1;
                align-content: center;
                text-align: center;
                background-color: var(--medium-gray);
                border-radius: 30px;
                padding: 50px 30px 50px 30px;
                align-items: center;
                position: relative;
                
                svg {
                    background-image: var(--gradient);
                    padding: 10px;
                    border-radius: 15px;
                    width:50px;
                    height: 50px;
                    stroke: var(--terciary-color);
                    position: absolute;
                    left: 42%;
                    top: -20px;
                }
                h3 {
                    margin-top: 20px;
                    margin-bottom: 5px;
                    display: inline;
                    font-size: 22px;
                }
                p {
                    display: inline;
                }
            }
        }
    }
}




/* Indicadores */

.indicadores_section {
    background: var(--orange-3);
    padding: 100px 150px 100px 150px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    position: relative;
    overflow: hidden;
    
    h2 {
        margin-bottom: 0px;
        color: var(--primary-color)
    }
    .beneficiarixs {
        border-radius: 30px;
        padding: 20px;
    }
    .indicador {
        justify-items: center;
        
        /* Gráfico de dona con conic-gradient */
        .chart {
            width: 150px;
            height: 150px;
            border-radius: 50%;
            
            /* Gradiente cónico: desde 0% hasta el valor dado en blanco, y el resto en naranja claro */
            background: conic-gradient(
                var(--primary-color) 0% var(--porcentaje), 
                rgba(255, 255, 255, 0.3) var(--porcentaje) 100%
            );
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
        }

        /* Círculo interno para vaciar el centro de la dona */
        .chart::before {
            content: "";
            position: absolute;
            width: 100px; /* Ajusta el grosor del anillo cambiando este tamaño */
            height: 100px;
            border-radius: 50%;
            background-color: var(--orange-3); /* Mismo color del fondo */
        }

        .percentage {
            position: relative;
            z-index: 1;
            letter-spacing: -1px;
            font-size: 40px;
            span {
                font-size: 20px;
            }
        }
        
        p {
            margin-top: 10px;
        }
    }

    img {
        position: absolute;
        height: 250px;
        right: 25px;
        bottom: -40px;
        rotate: 15deg;
    }
}

/* Nuestros parches */

.nuestros_parches {
    padding: 100px 100px 150px 100px;
    background:
        url(images/pared_de_ladrillos_3.png)
        var(--light-gray);
    background-size: 70vh;
    background-repeat: repeat;
    background-attachment: fixed;
    h2 {
        text-align: center;
        color: var(--primary-color);
    }
    .project_cards{
        margin-top: 50px;
        text-align: center;
        display: flex;
        gap: 30px;
        color: var(--terciary-color);
        .project_card {
            flex: 1;
            background: var(--gradient);
            border-radius: 30px;
            /* transition: transform 0.3s ease; */
            cursor: pointer;
            box-shadow: 0px 15px 0px var(--dark-gray);
            &:hover {
                transform: translateY(5px);
                box-shadow: 0px 10px 0px var(--dark-gray);
            }
            .imagen_parche {
                background-color: var(--orange-3);
                height: 400px;
                border-radius: 30px 30px 0px 0px;
                background-size: cover;
                background-position: center;
                background-repeat: no-repeat;
            }
            .imagen_1 {
                    background-image: url("images/escuela_sexuada_3.jpg");
            }
            .imagen_2 {
                    background-image: url("images/hablemos_a_calzon_quitao.jpg");
            }
            .imagen_3 {
                    background-image: url("images/z_morfosis.jpg");
            }
            .imagen_4 {
                    background-image: url("images/festival_triple_c.jpg");
            }
            h3{
                margin: 30px 30px 30px 30px;
                color: var(--terciary-color);
            }
            p {
                margin: 0px 30px 30px 30px;
            }
        }
    }
}

/* Únase al parche */

.unase_al_parche {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    padding: 150px 100px 150px 100px;
    background-color: var(--light-gray);
    position: relative;
    overflow: hidden;
    .invitacion {
        background-color: var(--medium-gray);
        border-radius: 30px;
        padding: 50px 70px 50px 70px;
        h2 {
            color: var(--primary-color);
            margin: 0px 0px 50px 0px;
        }
        img {
            position: absolute;
            height: 400px;
            bottom: -70px;
            rotate: -15deg;
            left: -0px;
        }
    }
    .video_promocional {
        flex: 0 0 65%;
        img {
            width: 100%;
            border-radius: 30px;
        }
    }

}

/* Informe de gestión */

.informe_de_gestion {
    display: flex;
    justify-content:space-between;
    gap: 60px;
    padding: 150px 100px 150px 100px;
    background-image: var(--gradient);
    position: relative;
    overflow: hidden;
    h2 {
        color: var(--terciary-color);
    }
    p{
        margin: 50px 0px 50px 0px;
        color: var(--terciary-color);
    }
    .imagen_informe {
        flex: 0 0 60%;
        img {
            width: 100%;
            border-radius: 30px;
            box-shadow: -15px 15px 0px rgba(253, 253, 253, 1);
        }
    }
    .button_db {
        background-image: none;
        background-color: var(--secondary-color);
        color: var(--terciary-color);
    }
    .sticker {
        position: absolute;
        height: 300px;
        bottom: -30px;
        right: 100px;
        rotate: 10deg;
    }
}

/* Footer */

footer{
    display: flex;
    justify-content: space-between;
    background-color: var(--secondary-color);
    color: var(--terciary-color);
    padding: 0px 100px 0px 100px;
    align-items: center;
    height: 100px;
    section {
        display: flex;
        align-items: center;
        gap: 10px;
    }
    img {
        height: 50px;
    }
    p{
        font-family: "ITC Eras";
    }
}

main section:nth-child(3) footer {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr;
    article {
        background-color: var(--card-bg);
        padding: 2rem;
        border-radius: 2rem;
        box-shadow: 0px 1.5px 3px 0px rgb(0, 0, 0, 0.2);
    }
}

/* Efecto de movimiento flotante */
@keyframes flotar {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-15px); }
}

@media (width >= 640px) {
    main section:nth-child(3) footer {
        grid-template-columns: 1fr 1fr 1fr;
    }
}